Package com.sap.ai.sdk.prompt.registry.model

# Class DPIConfig

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.DPIConfig

public class DPIConfig extends Object
DPIConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DPIConfig.Builder`
  Builder helper class.
  `static interface`
  `DPIConfig.Builder1`
  Builder helper class.
  `static interface`
  `DPIConfig.Builder2`
  Builder helper class.
  `static enum`
  `DPIConfig.MaskFileInputMethodEnum`
  Type of masking method to be used for file inputs.
  `static enum`
  `DPIConfig.MethodEnum`
  Type of masking method to be used
  `static enum`
  `DPIConfig.TypeEnum`
  Type of masking service provider

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DPIConfig()`
  Default constructor for DPIConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DPIConfig`
  `addAllowlistItem(String allowlistItem)`
  Add one allowlist instance to this `DPIConfig`.
  `DPIConfig`
  `addEntitiesItem(DPIEntityConfig entitiesItem)`
  Add one entities instance to this `DPIConfig`.
  `DPIConfig`
  `allowlist(List<String> allowlist)`
  Set the allowlist of this `DPIConfig` instance and return the same instance.
  `static DPIConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `DPIConfig` instance with all required arguments.
  `DPIConfig`
  `entities(List<DPIEntityConfig> entities)`
  Set the entities of this `DPIConfig` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getAllowlist()`
  List of strings that should not be masked
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `DPIConfig`.
  `List<DPIEntityConfig>`
  `getEntities()`
  List of entities to be masked
  `DPIConfig.MaskFileInputMethodEnum`
  `getMaskFileInputMethod()`
  Type of masking method to be used for file inputs.
  `DPIConfigMaskGroundingInput`
  `getMaskGroundingInput()`
  Get maskGroundingInput
  `DPIConfig.MethodEnum`
  `getMethod()`
  Type of masking method to be used
  `DPIConfig.TypeEnum`
  `getType()`
  Type of masking service provider
  `int`
  `hashCode()`
  `DPIConfig`
  `maskFileInputMethod(DPIConfig.MaskFileInputMethodEnum maskFileInputMethod)`
  Set the maskFileInputMethod of this `DPIConfig` instance and return the same instance.
  `DPIConfig`
  `maskGroundingInput(DPIConfigMaskGroundingInput maskGroundingInput)`
  Set the maskGroundingInput of this `DPIConfig` instance and return the same instance.
  `DPIConfig`
  `method(DPIConfig.MethodEnum method)`
  Set the method of this `DPIConfig` instance and return the same instance.
  `void`
  `setAllowlist(List<String> allowlist)`
  Set the allowlist of this `DPIConfig` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `DPIConfig` instance.
  `void`
  `setEntities(List<DPIEntityConfig> entities)`
  Set the entities of this `DPIConfig` instance.
  `void`
  `setMaskFileInputMethod(DPIConfig.MaskFileInputMethodEnum maskFileInputMethod)`
  Set the maskFileInputMethod of this `DPIConfig` instance.
  `void`
  `setMaskGroundingInput(DPIConfigMaskGroundingInput maskGroundingInput)`
  Set the maskGroundingInput of this `DPIConfig` instance.
  `void`
  `setMethod(DPIConfig.MethodEnum method)`
  Set the method of this `DPIConfig` instance.
  `void`
  `setType(DPIConfig.TypeEnum type)`
  Set the type of this `DPIConfig` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `DPIConfig` instance including unrecognized properties.
  `String`
  `toString()`
  `DPIConfig`
  `type(DPIConfig.TypeEnum type)`
  Set the type of this `DPIConfig` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DPIConfig

    protected DPIConfig()
    Default constructor for DPIConfig.

- ## Method Details

  - ### type

    @Nonnull public DPIConfig type(@Nonnull DPIConfig.TypeEnum type)
    Set the type of this `DPIConfig` instance and return the same instance.
    Parameters:
      `type` - Type of masking service provider
    Returns:
      The same instance of this `DPIConfig` class

  - ### getType

    @Nonnull public DPIConfig.TypeEnum getType()
    Type of masking service provider
    Returns:
      type The type of this `DPIConfig` instance.

  - ### setType

    public void setType(@Nonnull DPIConfig.TypeEnum type)
    Set the type of this `DPIConfig` instance.
    Parameters:
      `type` - Type of masking service provider

  - ### method

    @Nonnull public DPIConfig method(@Nonnull DPIConfig.MethodEnum method)
    Set the method of this `DPIConfig` instance and return the same instance.
    Parameters:
      `method` - Type of masking method to be used
    Returns:
      The same instance of this `DPIConfig` class

  - ### getMethod

    @Nonnull public DPIConfig.MethodEnum getMethod()
    Type of masking method to be used
    Returns:
      method The method of this `DPIConfig` instance.

  - ### setMethod

    public void setMethod(@Nonnull DPIConfig.MethodEnum method)
    Set the method of this `DPIConfig` instance.
    Parameters:
      `method` - Type of masking method to be used

  - ### entities

    @Nonnull public DPIConfig entities(@Nonnull List<DPIEntityConfig> entities)
    Set the entities of this `DPIConfig` instance and return the same instance.
    Parameters:
      `entities` - List of entities to be masked
    Returns:
      The same instance of this `DPIConfig` class

  - ### addEntitiesItem

    @Nonnull public DPIConfig addEntitiesItem(@Nonnull DPIEntityConfig entitiesItem)
    Add one entities instance to this `DPIConfig`.
    Parameters:
      `entitiesItem` - The entities that should be added
    Returns:
      The same instance of type `DPIConfig`

  - ### getEntities

    @Nonnull public List<DPIEntityConfig> getEntities()
    List of entities to be masked
    Returns:
      entities The entities of this `DPIConfig` instance.

  - ### setEntities

    public void setEntities(@Nonnull List<DPIEntityConfig> entities)
    Set the entities of this `DPIConfig` instance.
    Parameters:
      `entities` - List of entities to be masked

  - ### allowlist

    @Nonnull public DPIConfig allowlist(@Nullable List<String> allowlist)
    Set the allowlist of this `DPIConfig` instance and return the same instance.
    Parameters:
      `allowlist` - List of strings that should not be masked
    Returns:
      The same instance of this `DPIConfig` class

  - ### addAllowlistItem

    @Nonnull public DPIConfig addAllowlistItem(@Nonnull String allowlistItem)
    Add one allowlist instance to this `DPIConfig`.
    Parameters:
      `allowlistItem` - The allowlist that should be added
    Returns:
      The same instance of type `DPIConfig`

  - ### getAllowlist

    @Nonnull public List<String> getAllowlist()
    List of strings that should not be masked
    Returns:
      allowlist The allowlist of this `DPIConfig` instance.

  - ### setAllowlist

    public void setAllowlist(@Nullable List<String> allowlist)
    Set the allowlist of this `DPIConfig` instance.
    Parameters:
      `allowlist` - List of strings that should not be masked

  - ### maskGroundingInput

    @Nonnull public DPIConfig maskGroundingInput(@Nullable DPIConfigMaskGroundingInput maskGroundingInput)
    Set the maskGroundingInput of this `DPIConfig` instance and return the same instance.
    Parameters:
      `maskGroundingInput` - The maskGroundingInput of this `DPIConfig`
    Returns:
      The same instance of this `DPIConfig` class

  - ### getMaskGroundingInput

    @Nonnull public DPIConfigMaskGroundingInput getMaskGroundingInput()
    Get maskGroundingInput
    Returns:
      maskGroundingInput The maskGroundingInput of this `DPIConfig` instance.

  - ### setMaskGroundingInput

    public void setMaskGroundingInput(@Nullable DPIConfigMaskGroundingInput maskGroundingInput)
    Set the maskGroundingInput of this `DPIConfig` instance.
    Parameters:
      `maskGroundingInput` - The maskGroundingInput of this `DPIConfig`

  - ### maskFileInputMethod

    @Nonnull public DPIConfig maskFileInputMethod(@Nullable DPIConfig.MaskFileInputMethodEnum maskFileInputMethod)
    Set the maskFileInputMethod of this `DPIConfig` instance and return the same instance.
    Parameters:
      `maskFileInputMethod` - Type of masking method to be used for file inputs. Required if file inputs are provided.
    Returns:
      The same instance of this `DPIConfig` class

  - ### getMaskFileInputMethod

    @Nonnull public DPIConfig.MaskFileInputMethodEnum getMaskFileInputMethod()
    Type of masking method to be used for file inputs. Required if file inputs are provided.
    Returns:
      maskFileInputMethod The maskFileInputMethod of this `DPIConfig` instance.

  - ### setMaskFileInputMethod

    public void setMaskFileInputMethod(@Nullable DPIConfig.MaskFileInputMethodEnum maskFileInputMethod)
    Set the maskFileInputMethod of this `DPIConfig` instance.
    Parameters:
      `maskFileInputMethod` - Type of masking method to be used for file inputs. Required if file inputs are provided.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `DPIConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `DPIConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `DPIConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `DPIConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static DPIConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `DPIConfig` instance with all required arguments.